package cn.com.infosec.asn1.smime;

import cn.com.infosec.asn1.ASN1OctetString;
import cn.com.infosec.asn1.DERObjectIdentifier;
import cn.com.infosec.asn1.DERSet;
import cn.com.infosec.asn1.DERTaggedObject;
import cn.com.infosec.asn1.cms.Attribute;
import cn.com.infosec.asn1.cms.IssuerAndSerialNumber;
import cn.com.infosec.asn1.cms.RecipientKeyIdentifier;

public class SMIMEEncryptionKeyPreferenceAttribute extends Attribute {
   public SMIMEEncryptionKeyPreferenceAttribute(IssuerAndSerialNumber issAndSer) {
      SMIMEEncryptionKeyPreferenceAttribute var10000 = this;
      DERObjectIdentifier var4 = SMIMEAttributes.encrypKeyPref;
      DERSet var2;
      DERSet var10001 = var2 = new DERSet;
      DERTaggedObject var3;
      var3 = new DERTaggedObject.<init>(false, 0, issAndSer);
      var10001.<init>(var3);
      var10000.<init>(var4, var2);
   }

   public SMIMEEncryptionKeyPreferenceAttribute(RecipientKeyIdentifier rKeyId) {
      SMIMEEncryptionKeyPreferenceAttribute var10000 = this;
      DERObjectIdentifier var4 = SMIMEAttributes.encrypKeyPref;
      DERSet var2;
      DERSet var10001 = var2 = new DERSet;
      DERTaggedObject var3;
      var3 = new DERTaggedObject.<init>(false, 1, rKeyId);
      var10001.<init>(var3);
      var10000.<init>(var4, var2);
   }

   public SMIMEEncryptionKeyPreferenceAttribute(ASN1OctetString sKeyId) {
      SMIMEEncryptionKeyPreferenceAttribute var10000 = this;
      DERObjectIdentifier var4 = SMIMEAttributes.encrypKeyPref;
      DERSet var2;
      DERSet var10001 = var2 = new DERSet;
      DERTaggedObject var3;
      var3 = new DERTaggedObject.<init>(false, 2, sKeyId);
      var10001.<init>(var3);
      var10000.<init>(var4, var2);
   }
}
